function authenticationGuard(app, to, from, next) {
    if (to.authenticationRequired) {
        if (app.$store.getters.identity.isAuthenticated) {
            next();
        } else {
            app.$store.dispatch("beginAuthentication");
        }
    } else {
        next();
    }
}

export { authenticationGuard };
