﻿using Microsoft.AspNetCore.Identity;
using Props.Shared.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace Props.Models
{
    public class ApplicationUser : IdentityUser
    {
        [Required]
        public virtual SearchOutline SearchOutline { get; private set; } = new SearchOutline();

        [Required]
        public virtual ResultsPreferences ResultsPreferences { get; private set; } = new ResultsPreferences();

        [Required]
        public virtual ApplicationPreferences ApplicationPreferences {get; private set; } = new ApplicationPreferences();
    }
}
